// STANDARD I2C
//
`ifdef standard_i2c
	fMAX = 100;		// max. clock frequency (kHz)
	tBUF = 4700;		// min. Time Bus Must be Free Before a NewTr.Can Start

	// 	START / STOP timing
	tSU_STA = 4700;	// min. Start Cond.Setup Time (for RepeteadStartCond)
	tHD_STA = 4000;	// min. Start Condition Hold Time
	tSU_STO = 4000;	// min. Stop Condition Setup Time

	// 	Data In timing
	tSU_DAT = 250;	// min.	Data In Setup Time
	tHD_DAT = 0;		// min. Data In Hold Time  

	// 	Data Out timing 
	tDH = 100;		// min. Data Out Hold Time
	tAA = 3500;		// max. SCL Low to SDA Data Out & ACK Out

	// 	internal timing
	// max. Write Cycle Time // (from a valid stop cond.to the end of intern.prog.)
	//tWR = 10000000;
	tWR = 5000;	
`endif

// FAST I2C
//
`ifdef fast_i2c
	fMAX = 400;		// max. clock frequency (kHz)
	tBUF = 1300;		// min. Time Bus Must be Free Before a NewTr.Can Start

	// 	START / STOP timing
	tSU_STA = 600;	// min. Start Cond.Setup Time (for RepeteadStartCond)
	tHD_STA = 600;	// min. Start Condition Hold Time
	tSU_STO = 600;	// min. Stop Condition Setup Time

	// 	Data In timing
	tSU_DAT = 100;	// min.	Data In Setup Time
	tHD_DAT = 0;		// min. Data In Hold Time  

	// 	Data Out timing 
	tDH = 100;		// min. Data Out Hold Time
	tAA = 900;		// max. SCL Low to SDA Data Out & ACK Out

	// 	internal timing
	// max. Write Cycle Time // (from a valid stop cond.to the end of intern.prog.)
	//tWR = 10000000;
	tWR = 5000;	
`endif


